/* Macro prototype declarations.
 * include/proto.h
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact for contact information related to this software. */

/*************************************************************************/

#ifndef   __proto_include__
#define __proto_include__

/*************************************************************************/

#define do_random(min,max) 	((rand() % (int)(((max)+1) - (min))) + (min))
#define do_rrandom(max,min) 	((rand() % (int)(((min)+1) - (max))) + (max))

/* Condition constants, true (1), false (0) and negative (-1). */
#define C_TRUE			1
#define C_FALSE			0
#define C_CFNEG			-1

/* OperServ access check macros, x is the source nick. */
#define IsServRoot(x)		(is_services_root(x))
#define IsServAdmin(x)		(is_services_admin(x))
#define IsServOp(x)		(is_services_op(x))

/* ChanServ access check macros, x the soutce nick, y is the source channel. */
#define IsChanOp(x,y)         (is_chanop(x,y)) 
#define IsVoiced(x,y)         (is_voiced(x,y))
#ifdef V_UNREAL
# define IsHalfOp(x,y)        (is_halfop(x,y))
#endif

/* User mode status check macros. */
#define IsSAdmin(x)		((x)->mode & UMODE_A)
#define IsOper(x)			((x)->mode & UMODE_O)
#define IsInvisible(x)        ((x)->mode & UMODE_I)
#define IsAway(x)			((x)->flags & U_AWAY)

/*************************************************************************/

#endif /* __proto_include__ */

/*************************************************************************/