/* Time-delay routine include stuff.
 * include/timeout.h
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact for contact information related to this software. */

/*************************************************************************/

#ifndef TIMEOUT_H
#define TIMEOUT_H

/*************************************************************************/

#include <time.h>

/*************************************************************************/

#define E extern

/*************************************************************************/

/* Definitions for timeouts: */
typedef struct timeout_ Timeout;
struct timeout_ {
    Timeout *next, *prev;
    time_t settime, timeout;
    int repeat;			/* Does this timeout repeat indefinitely? */
    void (*code)(Timeout *);	/* This structure is passed to the code */
    void *data;			/* Can be anything */
};

/*************************************************************************/

E void check_timeouts(void);
E Timeout *add_timeout(int delay, void (*code)(Timeout *), int repeat);
E void del_timeout(Timeout *t);

/*************************************************************************/

#endif

/*************************************************************************/
