/* Hash functions.
 * src/hash.c
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact for contact information related to this software. */

/*************************************************************************/

#ifndef HASH_C
#define HASH_C

/*************************************************************************/

#include "services.h"

/*************************************************************************/

/* do_hash()
 * Primary hash table command parser, used in top level commands. */

Hash *do_hash(const char *source, const char *cmd, Hash *table)
{
   User *u = finduser(source);

   for (; table->cmd; ++table) {
      if (stricmp(table->cmd, cmd) == 0) {
         if ((table->level == SA_OPER && 		IsOper(u)) ||
             (table->level == SA_ADMIN && 	IsServAdmin(u->nick)) ||
             (table->level == SA_SOP && 		IsServOp(u->nick)) ||
             (table->level == SA_HSR && 		IsServRoot(u->nick)) ||
             (table->level == SA_SR && 		IsServRoot(u->nick)) ||
             (table->level == SA_NONE)) {
            return table;
	 } else {
	    return table;
	 }
      }
   }
   return NULL;
}

/*************************************************************************/

/* do_shash()
 * Primary hash table command parser, used in set level commands. */

SHash *do_shash(const char *source, const char *cmd, SHash *table)
{
   User *u = finduser(source);

   for (; table->cmd; ++table) {
      if (stricmp(table->cmd, cmd) == 0) {
         if ((table->level == SA_OPER && 		IsOper(u)) ||
             (table->level == SA_ADMIN && 	IsServAdmin(u->nick)) ||
             (table->level == SA_SOP && 		IsServOp(u->nick)) ||
             (table->level == SA_HSR && 		IsServRoot(u->nick)) ||
             (table->level == SA_SR && 		IsServRoot(u->nick)) ||
             (table->level == SA_NONE)) {
            return table;
	 } else {
	    return table;
	 }
      }
   }
   return NULL;
}

/*************************************************************************/

#endif

/*************************************************************************/