/* MemoServ help texts
 * src/ms-help.c
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact.html for contact information related to 
 * this software. */

/*************************************************************************/

#ifndef MS_HELP_C
#define MS_HELP_C

/*************************************************************************/

static const char *ms_serv_oper_help[] = {
   "IRC Operators:",
   "   OPERSEND      Send a memo to all IRC Operators.",
NULL
};

/*************************************************************************/

static const char *ms_serv_admin_help[] = {
   "Services Administrators:",
   "   ADMINSEND     Send a memo to all Adminstrators.",
NULL
};

/*************************************************************************/

static const char *ms_serv_op_help[] = {
   "Services Operators:",
   "   USERSEND      Send a memo to all users.",
NULL
};

/*************************************************************************/

static const char *ms_serv_root_help[] = {
   "Services Roots:",
   "   RREAD         Read a remote nick's memos.",
   "   RLIST         List a remote nick's memos.",
   "   RDEL          Delete a remote nick's memos.",
NULL
};

/************************************************************************/

static const char *mso_rread_help[] = {
   "\2***** MemoServ Help *****\2",
   "Syntax: RREAD <nick> [INBOX|MAIL|TRASH] [LAST] <\37number\37>",
   " Level: Services Operator (2)",
   "",
   "Read the memo in the given folder of the given nick matching the given number or if the",
   "paramter LAST is attached to this command \2MemoServ\2 will return the last memo the given",
   "nick recieved in the target folder.",
   "\2***** End Of Help *****\2",
NULL
};

/************************************************************************/

static const char *mso_rdel_help[] = {
   "\2***** MemoServ Help *****\2",
   "Syntax: RDEL <nick> [INBOX|MAIL|TRASH] [ALL] <\37number\37>",
   " Level: Services Operator (2)",
   "",
   "Delete the memo in the given folder of the given nick matching the given number or if the",
   "paramter ALL is attached to this command \2MemoServ\2 will delete all memos in the given",
   "nick's target folder.",
   "\2***** End Of Help *****\2",
NULL
};

/************************************************************************/

static const char *mso_rlist_help[] = {
   "\2***** MemoServ Help *****\2",
   "Syntax: RLIST <nick> [INBOX|MAIL|TRASH] [\37NEW\37]",
   " Level: Services Operator (2)",
   "",
   "List the current memos in the current nick's folder, or if the paramter NEW is attached",
   "to the list command, \2MemoServ\2 will return all memos currently marked unread or new.",
   "again in the target folder.",
   "\2***** End Of Help *****\2",
NULL
};

/************************************************************************/

static const char *mso_opersend_help[] = {
   "\2***** MemoServ Help *****\2",
   "Syntax: OPERSEND <message>",
   " Level: IRC Operator (0)",
   "",
   "Sends the given message to all the registered nick's who have the IRCOP option set on their nick",
   "with \2NickServ\2",
   "\2***** End Of Help *****\2",
NULL
};

/************************************************************************/

static const char *mso_adminsend_help[] = {
   "\2***** MemoServ Help *****\2",
   "Syntax: ADMINSEND <level> <message>",
   " Level: Services Administrator (1)",
   "",
   "Sends the given message to all the registered nick's who services administration level matches",
   "that of the given level and who has the IRCOP option set on their nick with \2NickServ\2.",
   "\2***** End Of Help *****\2",
NULL
};

/************************************************************************/

static const char *mso_usersend_help[] = {
   "\2***** MemoServ Help *****\2",
   "Syntax: USERSEND <message>",
   " Level: Services Operator (2)",
   "",
   "Sends the given message to all the registered nick's in the \2NickServ\2 database.  This command",
   "ignores the option NOMEMOS.",
   "\2***** End Of Help *****\2",
NULL
};

/************************************************************************/

#endif

/************************************************************************/
