/* OperServ help texts
 * src/os-help.c
 * Copyright (C) 2000-2001 DarkSiderz Net.  All rights reserved.
 * Read the file doc/contact.html for contact information related to 
 * this software. */

/*************************************************************************/

#ifndef OS_HELP_C
#define OS_HELP_C

/*************************************************************************/

static const char *os_serv_oper_help[] = {
   "\2***** OperServ Help *****\2",
   "\2OperServ\2 was designed to allow IRC Operators better control over a network.  \2OperServ\2.",
   "provides a port with many commands to deal with network functions, maitenance and means to",
   "deal with troublesome users",
   "",
   "For more information type /msg OperServ HELP <command>.",
   "Commands:",
   "   ADMIN         Manipulate the administration list.",
   "   KICK          Kick a user from a channel.",
   "   KILL          Remove a user from the network.",
   "   STATS         Status of DS and the network.",
   "   MAP           Display a map of the network servers.",
NULL
};

/*************************************************************************/

static const char *os_serv_admin_help[] = {
   "Services Administrators:",
   "   AKILL         Manipulate the autokill list.",
   "   MODE          Change a channel's modes.",
   "   SQLINE        Manipulate the sqline list.",
   "   GLOBAL        Send a global message across the network.",
   "   FLOG          Search the active log file.",
NULL
};

/*************************************************************************/

static const char *os_serv_op_help[] = {
   "Services Operators:",
   "   JUPE          Jupiter a server.",
   "   MKICK         Masskick all users from a channel.",
   "   MDEOP         Massdeop all users in a channel.",
   "   ROUTE         Manipulate the routing list.",
   "   RAW           Send raw commands to the server.",
   "   READONLY      Toggle read-only or read-write modes.",
   "   RESTART       Save databases and restart DS.",
NULL
};

/*************************************************************************/

static const char *os_serv_root_help[] = {
   "Services Roots:",
   "   NOOP          Toggle server nooper on a server.",
   "   DUMP          Toggle the dump channel on or off.",
   "   UPDATE        Save databases.",
   "   SHUTDOWN      Save databases and shutdown DS.",
   "   QUIT          Quit DS.",
   "   SET           Set various options for DS or your nick.",
   "   ACTIVATE      Activate or deactivate DS clients.",
   "   REHASHCONF    Rehash the DS configuration file.",
   "   NOOPINVITE    Invite yourself into the dump channel.",
NULL
};

/*************************************************************************/

static const char *os_serv_root_set_help[] = {
   "\2***** OperServ Help *****\2",
   "\2OperServ\2 allows you to set various options and perferences on your nick to customize it.  Currently",
   "the only supported options are for security.  The following options are available:",
   "",
   "For more information type /msg OperServ HELP SET <command>",
   "Commands:",
   "   No commands are here at this time.",
   "\2***** End Of Help *****\2",
NULL
};

/*************************************************************************/

static const char *os_serv_end_help[] = {
   "",
   "Please note, all commands sent to \2OperServ\2 are logged.",
   "\2***** End Of Help *****\2",
NULL
};

/*************************************************************************/

static const char *oso_mode_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: MODE <channel> <mode> <\37nick\37>",
   " Level: Services Administrator (1)",
   "",
   "Change modes for the given channel or modes for a user on the given channel.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_flog_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: SET FLOG <*pattern*>",
   " Level: Services Administrator (1)",
   "",
   "Search the active log for for various information.  This is useful when attemtping to resolve a conflict",
   "between users for nick or channel ownerships, as you can see what has happened with the respective nick",
   "or channel, to explain it to the user and aid you in making your decision in what you will do.  To search",
   "effectivley you must include the two astricks; one at the beginning and one at the end.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_map_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: MAP",
   " Level: IRC Operator (0)",
   "",
   "Displays a list of all the servers currently connected to the network, their user count, lag and",
   "the percentage of users they hold in respect to the network servers.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_global_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: GLOBAL <message>",
   " Level: Services Administrator (1)",
   "",
   "Send the give message to all users on the network.  This command should only be used in special conditions",
   "as it may disturb the network and it's users.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_kick_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: KICK <channel> <nick> <reason>",
   " Level: IRC Operator (0)",
   "",
   "Kick the given nick from the given channel with the given reason.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_activate_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: ACTIVATE [????SERV|ALL] [ON|OFF]",
   " Level: Services Root (3)",
   "",
   "Activates or deactivates the given client, or all clients.  When a client is deactivated",
   "only IRC Operators may send commands to the given client, until it is reactivated.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_admin_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: ADMIN ADD <nick> <level>",
   "        ADMIN DEL <nick>",
   "        ADMIN LIST",
   " Level: Services Root (3), IRC Operator (0)",
   "",
   "Manipulate the administration list.  Nicks on the administration list have authorization",
   "to execute commands based on leveling, the higher the level the more commands the nick",
   "has access to.",
   "",
   "ADD adds the given nick to the administration list at the defined level.  DEL will remove",
   "the given nick from the administration list. LIST will list all nicks on the administration list",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_route_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: ROUTE ADD <server> <password> <port>",
   "        ROUTE DEL <server>",
   "        ROUTE CONNECT <server>",
   "        ROUTE LIST",
   " Level: Services Operator (2)",
   "",
   "Manipulate the routing list.  Services can connect to servers on the routing list directly",
   "from IRC.  If a server can not create a connection, services will return to it's default.",
   "",
   "ADD will add the given server to the routing list with the given password and port. DEL will",
   "remove the given server from the routing list.  CONNECT will reroute services to the given",
   "server, if services can not make a connection to this server, they will reconnect back to their",
   "default server.  LIST will list all the servers currently on the routing list.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_sqline_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: SQLINE ENABLE <nick>",
   "        SQLINE DISABLE <nick>",
   "        SQLINE LIST",
   " Level: Services Administrator (1)",
   "",
   "Manipulate the sqline list.  Services can deny use of nicks on the sqline list directly",
   "Nicks on the sqline list will be asked to be changed by the ircd.",
   "",
   "ADD will add the given nick to the sqline list and deny access to use that nick. DEL will",
   "remove the given nick from the sqline list.  LIST will list all the nicks currently on the sqline list.",
   "\2***** End Of Help *****\2",
   NULL
};
/*************************************************************************/

static const char *oso_akill_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: AKILL ADD <time> <user@host> <reason>",
   "        AKILL DEL <user@host>",
   "        AKILL LIST <user@host> [\37ME|NICK\37]",
   "        AKILL VIEW <user@host> [\37ME|NICK\37]",
   "Level: Services Administrator (1)",
   "",
   "Manipulate the autokill list.  Autokills prevent users matching the user@host from connecting",
   "to the network.  This is most commonly used in user abuse situations.",
   "",
   "ADD adds the given user@host with the given time and reason to the services autokill list.",
   "The autokill will expire after the time in minutes has expired.  A time of 0 represents a",
   "permanent autokill meaning it will not expire, unless removed manually.  DEL deletes the given",
   "user@host from the services autokill list.  LIST shows the current autokill list.  If ME is ",
   "specified only the autokills added by you will be listed.  If NICK is given where NICK is a",
   "nick, the autokills by that nick will be listed.  VIEW is similar to LIST but is more informative.",
   "Like LIST, VIEW also shows the time it was set, remaing time in minutes before the autokill expires",
   "and the person who set it.  You may also add ME or NICK to the end of a VIEW command.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_stats_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: STATS [MEM|CLIENTS|NET|AKILL]",
   " Level: Services Administrator (1), IRC Operator (0)",
   "",
   "View various statistics about the network, such as users, uptime memory usage and clients status.",
   "",
   "MEM will show the current memory usage of various services functions such as channels, nicks.",
   "CLIENTS shows the current status of services clients; active or deactive.  NET will show the number",
   "of users, maximum users, number of IRC Operators online and the current uptime.  AKILL shows the",
   "number of autokills on the autokill list.",
   "\2***** End Of Help *****\2",
   NULL
};


/*************************************************************************/

static const char *oso_readonly_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: READONLY [ON|OFF]",
   " Level: Services Operator (2)",
   "",
   "Toggles read-only mode on or off.  In read-only mode, normal users will not be able to modify any",
   "channel or nick data.  IRC Operators will be able to modify \2OperServ\2 data, but will not be",
   "saved unless read-only mode is turned off before services are terminated.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_update_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: UPDATE",
   " Level: Services Root (3)",
   "",
   "Forces the save of all databases when the command is issued.",
   "\2***** End Of Help *****\2",
   NULL
};

/************************************************************************/

static const char *oso_quit_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: QUIT",
   " Level: Services Root (3)",
   "",
   "Causes services to do an immediate shutdown.  It is a good idea to either save the databases",
   "prior to issuing this command or use SHUTDOWN as an alternative.",
   "\2***** End Of Help *****\2",
   NULL
};

/************************************************************************/

static const char *oso_shutdown_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: SHUTDOWN",
   " Level: Services Root (3)",
   "",
   "Saves all the databases, and shuts down services, a better alternative then using QUIT.",
   "\2***** End Of Help *****\2",
   NULL
}; 

/************************************************************************/

static const char *oso_restart_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: RESTART",
   " Level: Services Operator (2)",
   "",
   "Saves databases and restarts the services program.",
   "\2***** End Of Help *****\2",
   NULL
};

/************************************************************************/

static const char *oso_jupe_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: JUPE <server>",
   " Level: Services Operator (2)",
   "",
   "Jupiter will create a fake server, preventing the real server from connecting to  the network.",
   "A jupitered server may be removed by simply squitting it.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_raw_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: RAW <text>",
   " Level: Services Operator (2)",
   "",
   "Sends a string of text directly to the server to which services is connected.  This command",
   "has a very limited range of uses, and can wreak havoc on a network if used improperly.  Do",
   "not use this command unless you are absolutely certain you know what you are doing.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_mdeop_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: MDEOP <channel>",
   " Level: Services Operator (2)",
   "",
   "Massdeop will set mode -o on all channel operators in the given channel.  \2OperServ\2 will join",
   "the channel and set mode +o on itself and remain in the channel for a period of time.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_mkick_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: MKICK <channel> <reason>",
   " Level: Services Operator (2)",
   "",
   "Masskick will kick all users from the given channel with the given reason.  \2OperServ\2 will",
   "join the channel and set modes +isb *!*@* on the channel and +o on itself to prevent any user",
   "from joining the channel for a period of time.", 
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_schan_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: DUMP [DUMP|SPC] [ENABLE|DISABLE]",
   " Level: Services Root (3)",
   "",
   "Enable or disable the DS dump channel or special channel.  The dump channel is where all",
   "passwords and activities are dumped to.  The special channel is where special actions and notices",
   "are dumped to.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_kill_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: KILL <nick> <reason>",
   " Level: IRC Operator (0)",
   "",
   "Kills the given user from the network with the given reason originating from the operator",
   "client, \2OperServ\2.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_noop_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: NOOP <nick|server> <reason>",
   " Level: Services Root (3)",
   "",
   "Toggles the server nooper feature on the given server with the given reason.  When a server has",
   "the feature set on it, no operator can sucessfully issue operator commands until the server nooper",
   "is toggled off.  If you specify a nick, only that nick is set on nooper",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_sinvite_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: NOOPINVITE",
   " Level: Services Root (3)",
   "",
   "Invite yourself into the services dump channel.  This channel is highly restricted as it",
   "contains all the raw commands sent to services clients, mainly passwords for channels and nicks.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

static const char *oso_rehashconf_help[] = {
   "\2***** OperServ Help *****\2",
   "Syntax: REHASHCONF",
   " Level: Services Root (3)",
   "",
   "Rehash the configuration file.  By rehashing this file services will reassign its values and",
   "change its behaviour accordingly.",
   "\2***** End Of Help *****\2",
   NULL
};

/*************************************************************************/

#endif

/*************************************************************************/
